package main

/*
	this enables command line options from other packages like 'gui' and 'log'
*/

import (
	log "go.wit.com/log"
)

var NOW *log.LogFlag
var INFO *log.LogFlag

var SPEW *log.LogFlag
var WARN *log.LogFlag

var ERROR *log.LogFlag
var CHANGE *log.LogFlag
var TOOLKIT *log.LogFlag

func init() {
	full := "toolkit/nocui"
	short := "nocui"

	NOW = log.NewFlag("NOW", true, full, short, "temp debugging stuff")
	INFO = log.NewFlag("INFO", false, full, short, "normal debugging stuff")

	WARN = log.NewFlag("WARN", true, full, short, "bad things")
	SPEW = log.NewFlag("SPEW", false, full, short, "spew stuff")

	ERROR = log.NewFlag("ERROR", false, full, short, "toolkit errors")
	CHANGE = log.NewFlag("ERROR", false, full, short, "show when the user does things")
	TOOLKIT = log.NewFlag("ERROR", false, full, short, "andlabs specific stuff")
}
